/**
  *  \file client/widgets/chartlockconfig.h
  *  \brief WChartLockConfig widget
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_CHARTLOCKCONFIG_H
#define PCC_V2_CLIENT_WIDGETS_CHARTLOCKCONFIG_H

#include "ui/widgets/tree.h"
#include "game/lock.h"

/** Configuration of chart lock modes.
    This widget configures the lock modes available with getLockMode/setLockMode. */
class WChartLockConfig : public UITreeWidget {
 public:
    WChartLockConfig(int id);
    ~WChartLockConfig();

    void drawItem(GfxContext& ctx, GfxRect area, const Item& it);
    bool handleEvent(const UIEvent& event, bool second_pass);
    void onItemClick(int item, int x);

    void load();
    void save();

 private:
    void init();
    void onClick(int32_t id);

    int opts[lm_MAX];
};

#endif
